Subject: Re: powerpc/perf: Fix thersholding counter data for unknown type

From: Michael Ellerman <[email-masked]>
Date: Sat, 22 Dec 2018 20:54:35 +1100 (AEDT)

On Sun, 2018-12-09 at 09:18:15 UTC, Madhavan Srinivasan wrote:
> MMCRA[34:36] and MMCRA[38:44] expose the thresholding counter value.
> Thresholding counter can be used to count latency cycles such as
> load miss to reload. But threshold counter value is not relevant
> when the sampled instruction type is unknown or reserved. Patch to
> fix the thersholding counter value to zero when sampled instruction
> type is unknown or reserved.
> 
> Fixes: 170a315f41c6('powerpc/perf: Support to export MMCRA[TEC*] field to userspace')
> Signed-off-by: Madhavan Srinivasan <[email-masked]>

Applied to powerpc next, thanks.

https://git.kernel.org/powerpc/c/17cfccc91545682513541924245abb

cheers